com.collabnet.ce.soap60.webservices.scm

## Class ReplicableScmExternalSystemSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.scm.ReplicableScmExternalSystemSoapRow

-     public class ReplicableScmExternalSystemSoapRow
      extends Object

  This class represents a list of external systems. Each row within this list is represented by a ReplicableScmExternalSystemSoapRow class.
  Since:
    6.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplicableScmExternalSystemSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Returns 'description'.
    `String` | `getId()` Returns 'id'.
    `boolean` | `getIsSvnEdge()` Returns 'isSvnEdge'.
    `String` | `getTitle()` Returns 'title'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setDescription(String description)` Sets 'description'.
    `void` | `setId(String id)` Sets 'id'.
    `void` | `setIsSvnEdge(boolean isSvnEdge)` Sets 'isSvnEdge'.
    `void` | `setTitle(String title)` Sets 'title'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplicableScmExternalSystemSoapRow

          public ReplicableScmExternalSystemSoapRow()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns 'id'.
      Returns:
        Value of 'id'.

    - #### setId

          public void setId(String id)

      Sets 'id'.
      Parameters:
        `id` - Value of 'id'.

    - #### getTitle

          public String getTitle()

      Returns 'title'.
      Returns:
        Value of 'title'.

    - #### setTitle

          public void setTitle(String title)

      Sets 'title'.
      Parameters:
        `title` - Value of 'title'.

    - #### getDescription

          public String getDescription()

      Returns 'description'.
      Returns:
        Value of 'description'.

    - #### setDescription

          public void setDescription(String description)

      Sets 'description'.
      Parameters:
        `description` - Value of 'description'.

    - #### getIsSvnEdge

          public boolean getIsSvnEdge()

      Returns 'isSvnEdge'.
      Returns:
        Value of 'isSvnEdge'.

    - #### setIsSvnEdge

          public void setIsSvnEdge(boolean isSvnEdge)

      Sets 'isSvnEdge'.
      Parameters:
        `isSvnEdge` - Value of 'isSvnEdge'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.